/**
 * Copyright  2002 Sun Microsystems, Inc. All rights reserved.
 */

package edu.cmu.fantango.ejb;

/**
 * Remote interface for the MovieEJB. The remote interface defines all possible
 * business methods for the bean. These are the methods going tobe invoked remotely
 * by clients, once they have a reference to the remote interface.
 *
 * Clients (MovieServlet, in this case), generally take the help of JNDI to lookup
 * the bean's home interface (MovieHome, in this case) and then use the home interface
 * to obtain references to the bean's remote interface (Movie, in this case).
 *
 */
public interface Movie extends javax.ejb.EJBObject {
    /**
     * Returns a greeting.
     * @return returns a greeting as a string.
     * @exception throws a RemoteException.
     *
     */
    public String getMovies() throws java.rmi.RemoteException;
    public String getTime() throws java.rmi.RemoteException;
}
