/**
 * Copyright  2002 Sun Microsystems, Inc. All rights reserved.
 */

package edu.cmu.fantango.ejb;

/**
 * Remote interface for the TheaterListEJB. The remote interface defines all possible
 * business methods for the bean. These are the methods going tobe invoked remotely
 * by clients, once they have a reference to the remote interface.
 *
 * Clients (MovieServlet, in this case), generally take the help of JNDI to lookup
 * the bean's home interface (TheaterListHome, in this case) and then use the home interface
 * to obtain references to the bean's remote interface (TheaterList, in this case).
 *
 */
public interface TheaterList extends javax.ejb.EJBObject
{
	/**
	 *	Initializes TheaterList class to store and process
	 *	showing information.
	 *
	 *	@throws java.rmi.RemoteException
	 */
    public void Init ( ) throws java.rmi.RemoteException;

	/**
	 *	Processes stored orders data.
	 *
	 *	@throws java.rmi.RemoteException
	 *	@returns Contents to display to interface
	 */
    public String process ( ) throws java.rmi.RemoteException;

	/**
	 *	Returns error state
	 *
	 *	@throws java.rmi.RemoteException
	 *	@returns Possible errors encountered
	 */
	public String getError ( ) throws java.rmi.RemoteException;

	/**
	 *	Returns page to go to
	 *
	 *	@throws java.rmi.RemoteException
	 *	@returns Page to go to after processing
	 */
	public String getGoto ( ) throws java.rmi.RemoteException;
}
